## org.exist.dom
Class ElementImpl

    java.lang.Object
      org.exist.dom.NodeImpl
          org.exist.dom.StoredNode
              org.exist.dom.NamedNode
                  org.exist.dom.ElementImpl

All Implemented Interfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, QNameable, Visitable

public class ElementImpl
extends NamedNode
implements org.w3c.dom.Element

ElementImpl.java

Author:
  Wolfgang Meier

Field Summary

Fields inherited from class org.exist.dom.StoredNode
`UNKNOWN_NODE_IMPL_ADDRESS`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ElementImpl()`
`ElementImpl(ElementImpl other)`
`ElementImpl(QName nodeName)` Constructor for the ElementImpl object

Method Summary
`boolean` `accept(java.util.Iterator iterator, NodeVisitor visitor)` Visit the current node.
`void` `addNamespaceMapping(java.lang.String prefix, java.lang.String ns)`
`void` `appendAttributes(Txn transaction, org.w3c.dom.NodeList attribs)`
`org.w3c.dom.Node` `appendChild(org.w3c.dom.Node child)`
`void` `appendChildInternal(StoredNode prevNode, StoredNode child)` Append a child to this node.
`void` `appendChildren(Txn transaction, org.w3c.dom.NodeList nodes, int child)`
`void` `clear()` Reset this element to its initial state.
`short` `compareDocumentPosition(org.w3c.dom.Node other)` ? @see org.w3c.dom.Node#compareDocumentPosition(org.w3c.dom.Node)
`boolean` `declaresNamespacePrefixes()`
`static StoredNode` `deserialize(byte[] data, int start, int len, DocumentImpl doc, boolean pooled)` Read a node from the specified byte array.
`java.lang.String` `getAttribute(java.lang.String name)`
`org.w3c.dom.Attr` `getAttributeNode(java.lang.String name)`
`org.w3c.dom.Attr` `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.NamedNodeMap` `getAttributes()`
`short` `getAttributesCount()`
`java.lang.String` `getBaseURI()` ? @see org.w3c.dom.Node#getBaseURI()
`int` `getChildCount()`
`org.w3c.dom.NodeList` `getChildNodes()`
`org.w3c.dom.NodeList` `getElementsByTagName(java.lang.String tagName)`
`org.w3c.dom.NodeList` `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.Object` `getFeature(java.lang.String feature, java.lang.String version)` ? @see org.w3c.dom.Node#getFeature(java.lang.String, java.lang.String)
`org.w3c.dom.Node` `getFirstChild()`
`int` `getIndexType()`
`org.w3c.dom.Node` `getLastChild()`
`java.lang.String` `getNamespaceForPrefix(java.lang.String prefix)`
`java.lang.String` `getNodeValue()`
`int` `getPosition()`
`int` `getPrefixCount()`
`java.util.Iterator` `getPrefixes()`
`org.w3c.dom.TypeInfo` `getSchemaTypeInfo()` ? @see org.w3c.dom.Element#getSchemaTypeInfo()
`java.lang.String` `getTagName()`
`java.lang.String` `getTextContent()` ? @see org.w3c.dom.Node#getTextContent()
`java.lang.Object` `getUserData(java.lang.String key)` ? @see org.w3c.dom.Node#getUserData(java.lang.String)
`boolean` `hasAttribute(java.lang.String name)`
`boolean` `hasAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`boolean` `hasAttributes()`
`boolean` `hasChildNodes()`
`void` `insertAfter(Txn transaction, org.w3c.dom.NodeList nodes, org.w3c.dom.Node refChild)` Insert a list of nodes at the position following the reference child.
`org.w3c.dom.Node` `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)`
`void` `insertBefore(Txn transaction, org.w3c.dom.NodeList nodes, org.w3c.dom.Node refChild)` Insert a list of nodes at the position before the reference child.
`boolean` `isDefaultNamespace(java.lang.String namespaceURI)` ? @see org.w3c.dom.Node#isDefaultNamespace(java.lang.String)
`boolean` `isEqualNode(org.w3c.dom.Node arg)` ? @see org.w3c.dom.Node#isEqualNode(org.w3c.dom.Node)
`boolean` `isSameNode(org.w3c.dom.Node other)` ? @see org.w3c.dom.Node#isSameNode(org.w3c.dom.Node)
`java.lang.String` `lookupNamespaceURI(java.lang.String prefix)` ? @see org.w3c.dom.Node#lookupNamespaceURI(java.lang.String)
`java.lang.String` `lookupPrefix(java.lang.String namespaceURI)` ? @see org.w3c.dom.Node#lookupPrefix(java.lang.String)
`boolean` `preserveSpace()`
`void` `removeAppendAttributes(Txn transaction, org.w3c.dom.NodeList removeList, org.w3c.dom.NodeList appendList)`
`void` `removeAttribute(java.lang.String name)`
`org.w3c.dom.Attr` `removeAttributeNode(org.w3c.dom.Attr oldAttr)`
`void` `removeAttributeNS(java.lang.String namespaceURI, java.lang.String name)`
`org.w3c.dom.Node` `removeChild(Txn transaction, org.w3c.dom.Node oldChild)`
`org.w3c.dom.Node` `replaceChild(Txn transaction, org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)`
`byte[]` `serialize()`
`void` `setAttribute(java.lang.String name, java.lang.String value)`
`org.w3c.dom.Attr` `setAttributeNode(org.w3c.dom.Attr newAttr)`
`org.w3c.dom.Attr` `setAttributeNodeNS(org.w3c.dom.Attr newAttr)`
`void` `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)`
`void` `setAttributes(short attribNum)` Set the attributes that belong to this node.
`void` `setChildCount(int count)`
`void` `setIdAttribute(java.lang.String name, boolean isId)` ? @see org.w3c.dom.Element#setIdAttribute(java.lang.String, boolean)
`void` `setIdAttributeNode(org.w3c.dom.Attr idAttr, boolean isId)` ? @see org.w3c.dom.Element#setIdAttributeNode(org.w3c.dom.Attr, boolean)
`void` `setIdAttributeNS(java.lang.String namespaceURI, java.lang.String localName, boolean isId)` ? @see org.w3c.dom.Element#setIdAttributeNS(java.lang.String, java.lang.String, boolean)
`void` `setIndexType(int idxType)`
`void` `setNamespaceMappings(java.util.Map map)`
`void` `setPosition(int position)`
`void` `setPreserveSpace(boolean preserveWS)`
`void` `setTextContent(java.lang.String textContent)` ? @see org.w3c.dom.Node#setTextContent(java.lang.String)
`java.lang.Object` `setUserData(java.lang.String key, java.lang.Object data, org.w3c.dom.UserDataHandler handler)` ? @see org.w3c.dom.Node#setUserData(java.lang.String, java.lang.Object, org.w3c.dom.UserDataHandler)
`java.lang.String` `toString()`
`java.lang.String` `toString(boolean top)`
`java.lang.String` `toString(boolean top, java.util.TreeSet namespaces)` Method toString.
`void` `update(Txn transaction, org.w3c.dom.NodeList newContent)` Update the contents of this element.
`void` `updateChild(Txn transaction, org.w3c.dom.Node oldChild, org.w3c.dom.Node newChild)` Update a child node.

Methods inherited from class org.exist.dom.NamedNode
`getQName, setNodeName`

Methods inherited from class org.exist.dom.StoredNode
`accept, deserialize, equals, getBroker, getDocId, getInternalAddress, getNextSibling, getNodeId, getNodeType, getOwnerDocument, getParentNode, getPath, getPreviousSibling, release, setInternalAddress, setNodeId, setOwnerDocument`

Methods inherited from class org.exist.dom.NodeImpl
`cloneNode, getLocalName, getNamespaceURI, getNodeName, getPrefix, insertAfter, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, supports, updateChild`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`cloneNode, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### ElementImpl

    public ElementImpl()

### ElementImpl

    public ElementImpl(QName nodeName)

  Constructor for the ElementImpl object

Parameters:
  `nodeName` - Description of the Parameter

### ElementImpl

    public ElementImpl(ElementImpl other)

Method Detail

### clear

    public void clear()

  Reset this element to its initial state.

  Overrides:
    `clear` in class `NamedNode`

### setIndexType

    public void setIndexType(int idxType)

### getIndexType

    public int getIndexType()

### setPosition

    public void setPosition(int position)

### getPosition

    public int getPosition()

### declaresNamespacePrefixes

    public boolean declaresNamespacePrefixes()

### serialize

    public byte[] serialize()

  Overrides:
    `serialize` in class `StoredNode`

### deserialize

    public static StoredNode deserialize(byte[] data,
                                         int start,
                                         int len,
                                         DocumentImpl doc,
                                         boolean pooled)

  Description copied from class: `StoredNode`
  Read a node from the specified byte array. <<<<<<< .working This checks the node type and calls the `StoredNode.deserialize(byte[], int, int, DocumentImpl, boolean)` ======= This checks the node type and calls the deserialize(byte[], int, int,boolean) >>>>>>> .merge-right.r4159 method of the corresponding node class. The node will be allocated in the pool and should be released once it is no longer needed.

### addNamespaceMapping

    public void addNamespaceMapping(java.lang.String prefix,
                                    java.lang.String ns)

### appendChildInternal

    public void appendChildInternal(StoredNode prevNode,
                                    StoredNode child)
                             throws org.w3c.dom.DOMException

  Append a child to this node. This method does not rearrange the node tree and is only used internally by the parser.

  Parameters:
    `child` -
  Throws:
    `org.w3c.dom.DOMException`

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node child)
                                 throws org.w3c.dom.DOMException

  Specified by:
    `appendChild` in interface `org.w3c.dom.Node`
  Overrides:
    `appendChild` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `Node.appendChild(org.w3c.dom.Node)`

### appendAttributes

    public void appendAttributes(Txn transaction,
                                 org.w3c.dom.NodeList attribs)
                          throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### appendChildren

    public void appendChildren(Txn transaction,
                               org.w3c.dom.NodeList nodes,
                               int child)
                        throws org.w3c.dom.DOMException

  Overrides:
    `appendChildren` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### getAttributesCount

    public short getAttributesCount()

  Overrides:
    `getAttributesCount` in class `NodeImpl`

### setAttributes

    public void setAttributes(short attribNum)

  Set the attributes that belong to this node.

  Overrides:
    `setAttributes` in class `NodeImpl`
  Parameters:
    `attribNum` - The new attributes value

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `org.w3c.dom.Element`
  See Also:
    `Element.getAttribute(java.lang.String)`

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Specified by:
    `getAttributeNS` in interface `org.w3c.dom.Element`
  See Also:
    `Element.getAttributeNS(java.lang.String, java.lang.String)`

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  Specified by:
    `getAttributeNode` in interface `org.w3c.dom.Element`
  See Also:
    `Element.getAttributeNode(java.lang.String)`

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                               java.lang.String localName)

  Specified by:
    `getAttributeNodeNS` in interface `org.w3c.dom.Element`
  See Also:
    `Element.getAttributeNodeNS(java.lang.String, java.lang.String)`

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `getAttributes` in class `NodeImpl`
  See Also:
    `Node.getAttributes()`

### getChildCount

    public int getChildCount()

  Overrides:
    `getChildCount` in class `NodeImpl`
  See Also:
    `NodeImpl.getChildCount()`

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `getChildNodes` in class `NodeImpl`

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String tagName)

  Specified by:
    `getElementsByTagName` in interface `org.w3c.dom.Element`
  See Also:
    `Element.getElementsByTagName(java.lang.String)`

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  Specified by:
    `getElementsByTagNameNS` in interface `org.w3c.dom.Element`
  See Also:
    `Element.getElementsByTagNameNS(java.lang.String, java.lang.String)`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`
  See Also:
    `Node.getFirstChild()`

### getLastChild

    public org.w3c.dom.Node getLastChild()

  Specified by:
    `getLastChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getLastChild` in class `NodeImpl`
  See Also:
    `Node.getLastChild()`

### getTagName

    public java.lang.String getTagName()

  Specified by:
    `getTagName` in interface `org.w3c.dom.Element`
  See Also:
    `Element.getTagName()`

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Specified by:
    `hasAttribute` in interface `org.w3c.dom.Element`
  See Also:
    `Element.hasAttribute(java.lang.String)`

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)

  Specified by:
    `hasAttributeNS` in interface `org.w3c.dom.Element`
  See Also:
    `Element.hasAttributeNS(java.lang.String, java.lang.String)`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasAttributes` in class `NodeImpl`
  See Also:
    `Node.hasAttributes()`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `NodeImpl`
  See Also:
    `Node.hasChildNodes()`

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `NodeImpl`
  See Also:
    `Node.getNodeValue()`

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws org.w3c.dom.DOMException

  Specified by:
    `removeAttribute` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `Element.removeAttribute(java.lang.String)`

### removeAttributeNS

    public void removeAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String name)
                           throws org.w3c.dom.DOMException

  Specified by:
    `removeAttributeNS` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `Element.removeAttributeNS(java.lang.String, java.lang.String)`

### removeAttributeNode

    public org.w3c.dom.Attr removeAttributeNode(org.w3c.dom.Attr oldAttr)
                                         throws org.w3c.dom.DOMException

  Specified by:
    `removeAttributeNode` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)
                      throws org.w3c.dom.DOMException

  Specified by:
    `setAttribute` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### setAttributeNS

    public void setAttributeNS(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value)
                        throws org.w3c.dom.DOMException

  Specified by:
    `setAttributeNS` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### setAttributeNode

    public org.w3c.dom.Attr setAttributeNode(org.w3c.dom.Attr newAttr)
                                      throws org.w3c.dom.DOMException

  Specified by:
    `setAttributeNode` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### setAttributeNodeNS

    public org.w3c.dom.Attr setAttributeNodeNS(org.w3c.dom.Attr newAttr)

  Specified by:
    `setAttributeNodeNS` in interface `org.w3c.dom.Element`

### setChildCount

    public void setChildCount(int count)

  Parameters:
    `count` - The new childCount value

### setNamespaceMappings

    public void setNamespaceMappings(java.util.Map map)

### getPrefixes

    public java.util.Iterator getPrefixes()

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix)

### getPrefixCount

    public int getPrefixCount()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `StoredNode`
  See Also:
    `Object.toString()`

### toString

    public java.lang.String toString(boolean top)

  Overrides:
    `toString` in class `StoredNode`

### toString

    public java.lang.String toString(boolean top,
                                     java.util.TreeSet namespaces)

  Method toString.

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  Specified by:
    `insertBefore` in interface `org.w3c.dom.Node`
  Overrides:
    `insertBefore` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `Node.insertBefore(org.w3c.dom.Node, org.w3c.dom.Node)`

### insertBefore

    public void insertBefore(Txn transaction,
                             org.w3c.dom.NodeList nodes,
                             org.w3c.dom.Node refChild)
                      throws org.w3c.dom.DOMException

  Insert a list of nodes at the position before the reference child.

  Overrides:
    `insertBefore` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### insertAfter

    public void insertAfter(Txn transaction,
                            org.w3c.dom.NodeList nodes,
                            org.w3c.dom.Node refChild)
                     throws org.w3c.dom.DOMException

  Insert a list of nodes at the position following the reference child.

  Overrides:
    `insertAfter` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### update

    public void update(Txn transaction,
                       org.w3c.dom.NodeList newContent)
                throws org.w3c.dom.DOMException

  Update the contents of this element. The passed list of nodes becomes the new content.

  Parameters:
    `newContent` -
  Throws:
    `org.w3c.dom.DOMException`

### updateChild

    public void updateChild(Txn transaction,
                            org.w3c.dom.Node oldChild,
                            org.w3c.dom.Node newChild)
                     throws org.w3c.dom.DOMException

  Update a child node. This method will only update the child node but not its potential descendant nodes.

  Overrides:
    `updateChild` in class `NodeImpl`
  Parameters:
    `oldChild` -
    `newChild` -
  Throws:
    `org.w3c.dom.DOMException`

### removeChild

    public org.w3c.dom.Node removeChild(Txn transaction,
                                        org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  Overrides:
    `removeChild` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `Node.removeChild(org.w3c.dom.Node)`

### removeAppendAttributes

    public void removeAppendAttributes(Txn transaction,
                                       org.w3c.dom.NodeList removeList,
                                       org.w3c.dom.NodeList appendList)

### replaceChild

    public org.w3c.dom.Node replaceChild(Txn transaction,
                                         org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  Overrides:
    `replaceChild` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### setPreserveSpace

    public void setPreserveSpace(boolean preserveWS)

### preserveSpace

    public boolean preserveSpace()

### getSchemaTypeInfo

    public org.w3c.dom.TypeInfo getSchemaTypeInfo()

  ? @see org.w3c.dom.Element#getSchemaTypeInfo()

### setIdAttribute

    public void setIdAttribute(java.lang.String name,
                               boolean isId)
                        throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Element#setIdAttribute(java.lang.String, boolean)

  Throws:
    `org.w3c.dom.DOMException`

### setIdAttributeNS

    public void setIdAttributeNS(java.lang.String namespaceURI,
                                 java.lang.String localName,
                                 boolean isId)
                          throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Element#setIdAttributeNS(java.lang.String, java.lang.String, boolean)

  Throws:
    `org.w3c.dom.DOMException`

### setIdAttributeNode

    public void setIdAttributeNode(org.w3c.dom.Attr idAttr,
                                   boolean isId)
                            throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Element#setIdAttributeNode(org.w3c.dom.Attr, boolean)

  Throws:
    `org.w3c.dom.DOMException`

### getBaseURI

    public java.lang.String getBaseURI()

  ? @see org.w3c.dom.Node#getBaseURI()

  Overrides:
    `getBaseURI` in class `NodeImpl`

### compareDocumentPosition

    public short compareDocumentPosition(org.w3c.dom.Node other)
                                  throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#compareDocumentPosition(org.w3c.dom.Node)

  Overrides:
    `compareDocumentPosition` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### getTextContent

    public java.lang.String getTextContent()
                                    throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#getTextContent()

  Overrides:
    `getTextContent` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### setTextContent

    public void setTextContent(java.lang.String textContent)
                        throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#setTextContent(java.lang.String)

  Overrides:
    `setTextContent` in class `NodeImpl`
  Throws:
    `org.w3c.dom.DOMException`

### isSameNode

    public boolean isSameNode(org.w3c.dom.Node other)

  ? @see org.w3c.dom.Node#isSameNode(org.w3c.dom.Node)

  Overrides:
    `isSameNode` in class `NodeImpl`

### lookupPrefix

    public java.lang.String lookupPrefix(java.lang.String namespaceURI)

  ? @see org.w3c.dom.Node#lookupPrefix(java.lang.String)

  Overrides:
    `lookupPrefix` in class `NodeImpl`

### isDefaultNamespace

    public boolean isDefaultNamespace(java.lang.String namespaceURI)

  ? @see org.w3c.dom.Node#isDefaultNamespace(java.lang.String)

  Overrides:
    `isDefaultNamespace` in class `NodeImpl`

### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI(java.lang.String prefix)

  ? @see org.w3c.dom.Node#lookupNamespaceURI(java.lang.String)

  Overrides:
    `lookupNamespaceURI` in class `NodeImpl`

### isEqualNode

    public boolean isEqualNode(org.w3c.dom.Node arg)

  ? @see org.w3c.dom.Node#isEqualNode(org.w3c.dom.Node)

  Overrides:
    `isEqualNode` in class `NodeImpl`

### getFeature

    public java.lang.Object getFeature(java.lang.String feature,
                                       java.lang.String version)

  ? @see org.w3c.dom.Node#getFeature(java.lang.String, java.lang.String)

  Overrides:
    `getFeature` in class `NodeImpl`

### setUserData

    public java.lang.Object setUserData(java.lang.String key,
                                        java.lang.Object data,
                                        org.w3c.dom.UserDataHandler handler)

  ? @see org.w3c.dom.Node#setUserData(java.lang.String, java.lang.Object, org.w3c.dom.UserDataHandler)

  Overrides:
    `setUserData` in class `NodeImpl`

### getUserData

    public java.lang.Object getUserData(java.lang.String key)

  ? @see org.w3c.dom.Node#getUserData(java.lang.String)

  Overrides:
    `getUserData` in class `NodeImpl`

### accept

    public boolean accept(java.util.Iterator iterator,
                          NodeVisitor visitor)

  Description copied from interface: `Visitable`
  Visit the current node. For element nodes, the method recursively traverses through the child nodes and calls accept on each of them.

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `StoredNode`

Copyright (C) Wolfgang Meier. All rights reserved.